package com.nhn.example.gateway;

import com.nhn.gameanvil.gateway.GameAnvilGatewaySession;
import com.nhn.gameanvil.node.gateway.ISession;
import com.nhn.gameanvil.node.gateway.context.ISessionContext;
import com.nhn.gameanvil.packet.IPayload;

@GameAnvilGatewaySession
public class Session implements ISession {
    private ISessionContext sessionContext;

    @Override
    public void onCreate(ISessionContext sessionContext) {
        this.sessionContext = sessionContext;
    }

    @Override
    public void onBeforeLogin(IPayload payload) {

    }

    @Override
    public void onAfterLogin(boolean isReLogined) {

    }

    @Override
    public void onAfterLogout() {

    }
}
